#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		namespc		Libxfce4windowing
#-----------------------------------------------------------------------------
Name		:	libxfce4windowing
Version		:	4.19.9
Release		:	17.2.0.rel%{?dist}

Summary		:	Windowing concept abstraction library for X11 and Wayland

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://archive.xfce.org/src/xfce/libxfce4windowing

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	gtk3+
BuildRequires	:	libwnck
BuildRequires	:	wayland-protocols
BuildRequires	:	xfce4-dev-tools
BuildRequires	:	xrandr
#-----------------------------------------------------------------------------
%description
Libxfce4windowing is an abstraction library
that attempts to present windowing concepts
(screens, toplevel windows, workspaces, etc.)
in a windowing-system-independent manner.
 
Currently, X11 is fully supported, via libwnck.
 Wayland is partially supported, through various
Wayland protocol extensions.  However, the full
range of operations available on X11 is not
available on Wayland, due to missing features
in these protocol extensions.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/%{name}-0.so.0*
%{_libdir}/%{name}ui-0.so.0*
%{_libdir}/girepository-1.0/%{namespc}-0.0.typelib
%{_libdir}/girepository-1.0/%{namespc}ui-0.0.typelib
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gtk-doc/html/%{name}ui/

#=============================================================================
%package		devel
Summary		:	Development package for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/xfce4/%{name}/*.h
%{_includedir}/xfce4/%{name}ui/*.h
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/gir-1.0/%{namespc}-0.0.gir
%{_datadir}/gir-1.0/%{namespc}ui-0.0.gir
 
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gtk-doc 				\
	--enable-wayland				\
	--disable-debug					\


#	--enable-x11 					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
